<html lang="en">

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link rel="stylesheet" href="./style.css">
    <title>SWIM MasterBot</title>
    <style>
        html {
            background-color: #ddd;
        }
    </style>
</head>

<body>

    <script src="./webchat.js"></script>


    <script>

        const configUrl = 'https://endpoint-bayer-dev.cognigy.cloud/573ea24e8a9325f3fb9fe341d721eb2adb6c2c1ed0951f8b42268dd8d139f124'

        // Code commented for Session ID
        // Initialize a sessionId, undefined by default.
        // let sessionId, userId;

        // in case LocalStorage is supported...
        // if (window.localStorage) {
        // try to load a previously stored sessionId from the LocalStorage
        // sessionId = window.localStorage.getItem("sessionId");
        // userId = window.localStorage.getItem("userId");
        // in case there was no previously stored sessionId,
        // generate one and store it into LocalStorage
        //   if (!sessionId) {
        //     sessionId = "session-" + Date.now() * Math.random();
        //     localStorage.setItem("sessionId", sessionId);
        //   }
        //   if (!userId) {
        //     userId = "userId-" + Date.now() * Math.random();
        //     localStorage.setItem("userId", userId);
        //   }
        // }


        const settings = {
            disableBranding: true,
            headerLogoUrl: './images/Bayer_Logo.png',
            enableTypingIndicator: true,
            unreadMessageTitleText: true,
            disableTextInputSanitization: true,
            disableHtmlInput: false,
            enableUnreadMessageSound: true,
            enableUnreadMessageBadge: true,
            enableUnreadMessagePreview: true,
            enableUnreadMessageTitleIndicator: true,
            showEngagementMessagesInChat: true,
            engagementMessageDelay: 5000,
            getStartedText: "Welcome | Bienvenido | Willkommen | 欢迎 | ようこそ | Benvenuto | Receber | Добро пожаловать | Bienvenue",
            showQuickReplyPayload: true, // Show Quick Reply payload in the chat history instead of the button title, which is shown by default
            disableInputAutocomplete: true, // New in 2.37.0. Turns off browser's suggestions on message text
            disableInputAutogrow: false, // New in 2.37.0. True will make the input one line with horizontal scroll in case of a long text 
            inputAutogrowMaxRows: 5, // How many rows of text should the message input grow to before stopping and showing vertical scrollbar
            bayer: {
                displayLanguageSelectMenu: false,
                displayInputField: true,
                displayNotificationMessage: false,
                defaultLanguage: 'en',
                defaultScreenSize: 'webchat-small',
                defaultScreenColor: 'webchat-red',
                showMenu1MenuItem: true,
                showMenu1MenuIcon: './images/icons/about.svg',
                showMenu2MenuItem: true,
                showMenu2MenuIcon: './images/icons/privacy.svg',
                showMenu3MenuItem: true,
                showMenu3MenuIcon: './images/icons/resize.svg',
                showMenu3NestedMenu1Item: true,
                showMenu3NestedMenu2Item: true,
                showMenu3NestedMenu3Item: true,
                showMenu3NestedMenu4Item: false,
                showMenu4MenuItem: true,
                showMenu4MenuIcon: './images/icons/color.svg',
                showMenu4NestedMenu1Item: true,
                showMenu4NestedMenu2Item: true,
                showMenu4NestedMenu3Item: true,
                showMenu5MenuItem: true,
                showMenu6MenuItem: true,
                showMenu7MenuItem: false,
                screenSizeOptions: [
                    { smallScreenSize: 'webchat-small' },
                    { mediumScreenSize: 'webchat-medium' },
                    { largeScreenSize: 'webchat-large' },
                ],
                screenColorOptions: [
                    { redScreenColor: 'webchat-red' },
                    { blueScreenColor: 'webchat-blue' },
                    { greenScreenColor: 'webchat-green' },
                ],
                languageOptions: [
                    { title: 'English', ariaLabel: 'english', code: 'en', flagLink: './images/flags/England.png' },
                    // { title: 'Deutsch', ariaLabel: 'german', code: 'de', flagLink: './images/flags/Germany.png' },
                    // { title: 'Espanol', ariaLabel: 'spanish', code: 'es', flagLink: './images/flags/Spain.png' },
                    { title: 'Français', ariaLabel: 'french', code: 'fr', flagLink: './images/flags/France.png' },
                    // { title: 'Potuguês', ariaLabel: 'Portugese', code: 'pt', flagLink: './images/flags/Portugal.png' },
                    { title: '中国', ariaLabel: 'Chinese', code: 'zh', flagLink: './images/flags/China.png' },
                    // { title: '日本語', ariaLabel: 'Japanese', code: 'ja', flagLink: './images/flags/Japan.png' },
                    // { title: 'Pусский', ariaLabel: 'Russian', code: 'ru', flagLink: './images/flags/Russia.png' },
                    // { title: 'Italiano', ariaLabel: 'Italian', code: 'it', flagLink: './images/flags/Italy.png' },
                    // { title: 'Dutch', ariaLabel: 'Dutch', code: 'nl', flagLink: './images/flags/Neitherland.png' }
                ]
            },
            translations: {
                en: {
                    UI_HEADER_TITLE: "SWIM MasterBot",
                    UI_INPUT_PLACEHOLDER: "Write a reply",
                    UI_INPUT_LANGUAGE: "en",
                    UI_INPUT_LOCALIZATION: "en_US",


                    UI_NOTIFICATION_MESSAGE_TITLE: "Bot will be down.",
                    UI_NOTIFICATION_MESSAGE_TEXT: "Due to patch upgrade, bot will not be available for 3 hours.",

                    UI_NOTIFICATIONS_READ_MORE_BUTTON: "Read More",
                    UI_NOTIFICATIONS_OK_BUTTON: "OK",

                    UI_MENU_1_TITLE: "About",
                    UI_MENU_1_DIALOG_TITLE: "About this Chatbot",
                    UI_MENU_1_DIALOG_TEXT: "Welcome! ",

                    UI_MENU_2_TITLE: "Privacy",
                    UI_MENU_2_DIALOG_TITLE: "Privacy Statement",
                    UI_MENU_2_DIALOG_TEXT: "<h2>Use of Q&A chatbots:</h2> You can exchange messages with the Q&A chatbot (hereinafter 'chatbot') on our website. You must be aware that any personal information you provide will be processed by us and our service providers. For a conversation,a so-called 'Session ID' is created, which does not allow any personal identification. When the chatbot is closed the 'Session ID' will be terminated. If you are starting a new conversation with the chatbot, a new 'Session ID' will be created. We process the “Session-ID” and the information you provide to answer your question (Art. 6(1)(b) GeneralData Protection Regulation). Based on our legitimate interest we store the 'Session ID' and the information you have provided for a period of 6 months in order to further improve our chatbot according to the needs of the users(Art. 6(1)(f) General Data Protection Regulation).",

                    UI_MENU_3_TITLE: "Resize",
                    UI_MENU_3_DIALOG_TITLE: "NA",
                    UI_MENU_3_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_3_NESTED_1_TITLE: "Small",
                    UI_MENU_3_NESTED_1_DIALOG_TITLE: "NA",
                    UI_MENU_3_NESTED_1_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_3_NESTED_2_TITLE: "Medium",
                    UI_MENU_3_NESTED_2_DIALOG_TITLE: "NA",
                    UI_MENU_3_NESTED_2_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_3_NESTED_3_TITLE: "Large",
                    UI_MENU_3_NESTED_3_DIALOG_TITLE: "NA",
                    UI_MENU_3_NESTED_3_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_3_NESTED_4_TITLE: "Detach",
                    UI_MENU_3_NESTED_4_DIALOG_TITLE: "NA",
                    UI_MENU_3_NESTED_4_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_4_TITLE: "Color Schema",
                    UI_MENU_4_DIALOG_TITLE: "NA",
                    UI_MENU_4_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_4_NESTED_1_TITLE: "Red",
                    UI_MENU_4_NESTED_1_DIALOG_TITLE: "NA",
                    UI_MENU_4_NESTED_1_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_4_NESTED_2_TITLE: "Blue",
                    UI_MENU_4_NESTED_2_DIALOG_TITLE: "NA",
                    UI_MENU_4_NESTED_2_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_4_NESTED_3_TITLE: "Green",
                    UI_MENU_4_NESTED_3_DIALOG_TITLE: "NA",
                    UI_MENU_4_NESTED_3_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_5_TITLE: "Imprint",
                    UI_MENU_5_DIALOG_TITLE: "Welcome to Dialog 5 Popup",
                    UI_MENU_5_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_6_TITLE: "Conditions of Use",
                    UI_MENU_6_DIALOG_TITLE: "Welcome to Dialog 6 Popup",
                    UI_MENU_6_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_7_TITLE: "Menu 7 Item",
                    UI_MENU_7_DIALOG_TITLE: "Welcome to Dialog 7 Popup",
                    UI_MENU_7_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                },
                de: {
                    UI_HEADER_TITLE: "Bayer Webchat (de)",
                    UI_INPUT_PLACEHOLDER: "Schreiben Sie eine Nachricht",
                    UI_INPUT_LANGUAGE: "de",
                    UI_INPUT_LOCALIZATION: "de_DE",

                    UI_NOTIFICATIONS_READ_MORE_BUTTON: "Mehr erfahren",
                    UI_NOTIFICATIONS_OK_BUTTON: "OK",

                    UI_MENU_1_TITLE: "Über diesen Chatbot",
                    UI_MENU_1_DIALOG_TITLE: "Über diesen Chatbot",
                    UI_MENU_1_DIALOG_TEXT: "Herzlich willkommen! ",

                    UI_MENU_2_TITLE: "Datenschutz",
                    UI_MENU_2_DIALOG_TITLE: "Datenschutz",
                    UI_MENU_2_DIALOG_TEXT: "Verwendung von Q & A-Chatbots: Sie können auf unserer Website Nachrichten mit dem Q & A-Chatbot (im Folgenden „Chatbot“) austauschen. Sie müssen sich bewusst sein, dass alle von Ihnen angegebenen persönlichen Daten von uns und unseren Dienstleistern verarbeitet werden. Für ein Gespräch wird eine sogenannte Sitzungs-ID erstellt, die keine persönliche Identifizierung zulässt. Wenn der Chatbot geschlossen ist, wird die 'Sitzungs-ID' beendet. Wenn Sie eine neue Konversation mit dem Chatbot beginnen, wird eine neue 'Sitzungs-ID' erstellt. Wir verarbeiten die „Sitzungs-ID“ und die von Ihnen angegebenen Informationen zur Beantwortung Ihrer Frage (Art. 6 Abs. 1 Buchst. B Allgemeine Datenschutzverordnung). Aufgrund unseres berechtigten Interesses speichern wir die 'Sitzungs-ID' und die von Ihnen angegebenen Informationen für einen Zeitraum von 6 Monaten, um unseren Chatbot entsprechend den Bedürfnissen der Benutzer weiter zu verbessern (Art. 6 (1) (f) Allgemeine Daten Schutzverordnung).",

                    UI_MENU_3_TITLE: "No Menu Item",
                    UI_MENU_3_DIALOG_TITLE: "",
                    UI_MENU_3_DIALOG_TEXT: "",

                    UI_MENU_4_TITLE: "No Menu Item",
                    UI_MENU_4_DIALOG_TITLE: "",
                    UI_MENU_4_DIALOG_TEXT: "",

                    UI_MENU_5_TITLE: "No Menu Item",
                    UI_MENU_5_DIALOG_TITLE: "",
                    UI_MENU_5_DIALOG_TEXT: "",

                    UI_MENU_6_TITLE: "Menu 6 Item",
                    UI_MENU_6_DIALOG_TITLE: "Welcome to Dialog 6 Popup",
                    UI_MENU_6_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_7_TITLE: "Menu 7 Item",
                    UI_MENU_7_DIALOG_TITLE: "Welcome to Dialog 7 Popup",
                    UI_MENU_7_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",
                },
                es: {
                    UI_HEADER_TITLE: "Bayer Webchat (es)",
                    UI_INPUT_PLACEHOLDER: "Escribe una respuesta",

                    UI_NOTIFICATIONS_READ_MORE_BUTTON: "Lee mas",
                    UI_NOTIFICATIONS_OK_BUTTON: "OK",

                    UI_MENU_1_TITLE: "Acerca de",
                    UI_MENU_1_DIALOG_TITLE: "Acerca de este chatbot",
                    UI_MENU_1_DIALOG_TEXT: "Bienvenidos / Bienvenidas ",

                    UI_MENU_2_TITLE: "Privacidad de datos",
                    UI_MENU_2_DIALOG_TITLE: "Declaración de privacidad de datos",
                    UI_MENU_2_DIALOG_TEXT: "Uso de chatbots de preguntas y respuestas: puede intercambiar mensajes con el chatbot de preguntas y respuestas (en adelante, 'chatbot') en nuestro sitio web. Debe tener en cuenta que cualquier información personal que proporcione será procesada por nosotros y nuestros proveedores de servicios. Para una conversación, se crea un 'ID de sesión', que no permite ninguna identificación personal. Cuando se cierra el chatbot, se cancelará el 'ID de sesión'. Si está iniciando una nueva conversación con el chatbot, se creará un nuevo 'ID de sesión'. Procesamos el 'ID de sesión' y la información que usted proporciona para responder a su pregunta (Art. 6 (1) (b) Reglamento general de protección de datos). En función de nuestro interés legítimo, almacenamos el 'ID de sesión' y la información que ha proporcionado durante un período de 6 meses para mejorar aún más nuestro chatbot de acuerdo con las necesidades de los usuarios (Art. 6 (1) (f) Datos generales Reglamento de protección).",

                    UI_MENU_3_TITLE: "No Menu Item",
                    UI_MENU_3_DIALOG_TITLE: "",
                    UI_MENU_3_DIALOG_TEXT: "",

                    UI_MENU_4_TITLE: "No Menu Item",
                    UI_MENU_4_DIALOG_TITLE: "",
                    UI_MENU_4_DIALOG_TEXT: "",

                    UI_MENU_5_TITLE: "No Menu Item",
                    UI_MENU_5_DIALOG_TITLE: "",
                    UI_MENU_5_DIALOG_TEXT: "",

                    UI_MENU_6_TITLE: "Menu 6 Item",
                    UI_MENU_6_DIALOG_TITLE: "Welcome to Dialog 6 Popup",
                    UI_MENU_6_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_7_TITLE: "Menu 7 Item",
                    UI_MENU_7_DIALOG_TITLE: "Welcome to Dialog 7 Popup",
                    UI_MENU_7_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",
                },
                fr: {
                    UI_HEADER_TITLE: "POC Maître Robot",
                    UI_INPUT_PLACEHOLDER: "Écrire une réponse",

                    UI_NOTIFICATIONS_READ_MORE_BUTTON: "Lire la suite",
                    UI_NOTIFICATIONS_OK_BUTTON: "D'accord",

                    UI_MENU_1_TITLE: "À propos",
                    UI_MENU_1_DIALOG_TITLE: "À propos de ce chatbot",
                    UI_MENU_1_DIALOG_TEXT: "Bienvenue!  est là pour vous aider à trouver des réponses et des ressources aux requêtes RH courantes. Si  n'est pas en mesure de vous aider, vous pouvez contacter le service des opérations des RH (du lundi au vendredi de 8 h 00 à 18 h 00 HNE au 1-888-473-1001 opt. 5 ou par courriel: HROP_USA@bayer.com)",

                    UI_MENU_2_TITLE: "Confidentialité des données",
                    UI_MENU_2_DIALOG_TITLE: "Déclaration de confidentialité",
                    UI_MENU_2_DIALOG_TEXT: "Utilisation des chatbots Q&A: Vous pouvez échanger des messages avec le chatbot Q&A (ci-après «chatbot») sur notre site Web. Vous devez être conscient que toutes les informations personnelles que vous fournissez seront traitées par nous et nos fournisseurs de services. Pour une conversation, un soi-disant «ID de session» est créé, qui ne permet aucune identification personnelle. Lorsque le chatbot est fermé, l'ID de session sera interrompu. Si vous démarrez une nouvelle conversation avec le chatbot, un nouvel 'ID de session' sera créé. Nous traitons le «Session-ID» et les informations que vous fournissez pour répondre à votre question (Art. 6 (1) (b) Règlement général sur la protection des données). Sur la base de notre intérêt légitime, nous stockons le `` Session ID '' et les informations que vous avez fournies pendant une période de 6 mois afin d'améliorer encore notre chatbot en fonction des besoins des utilisateurs (Art. 6 (1) (f) Données générales Règlement de protection).",

                    UI_MENU_3_TITLE: "Taille",
                    UI_MENU_3_DIALOG_TITLE: "",
                    UI_MENU_3_DIALOG_TEXT: "",

                    UI_MENU_3_NESTED_1_TITLE: "Petit",
                    UI_MENU_3_NESTED_1_DIALOG_TITLE: "",
                    UI_MENU_3_NESTED_1_DIALOG_TEXT: "",

                    UI_MENU_3_NESTED_2_TITLE: "Moyen",
                    UI_MENU_3_NESTED_2_DIALOG_TITLE: "",
                    UI_MENU_3_NESTED_2_DIALOG_TEXT: "",

                    UI_MENU_3_NESTED_3_TITLE: "Grande",
                    UI_MENU_3_NESTED_3_DIALOG_TITLE: "",
                    UI_MENU_3_NESTED_3_DIALOG_TEXT: "",

                    UI_MENU_3_NESTED_4_TITLE: "Détacher",
                    UI_MENU_3_NESTED_4_DIALOG_TITLE: "",
                    UI_MENU_3_NESTED_4_DIALOG_TEXT: "",

                    UI_MENU_4_TITLE: "Couleur",
                    UI_MENU_4_DIALOG_TITLE: "",
                    UI_MENU_4_DIALOG_TEXT: "",

                    UI_MENU_4_NESTED_1_TITLE: "Rouge",
                    UI_MENU_4_NESTED_1_DIALOG_TITLE: "",
                    UI_MENU_4_NESTED_1_DIALOG_TEXT: "",

                    UI_MENU_4_NESTED_2_TITLE: "Bleu",
                    UI_MENU_4_NESTED_2_DIALOG_TITLE: "",
                    UI_MENU_4_NESTED_2_DIALOG_TEXT: "",

                    UI_MENU_4_NESTED_3_TITLE: "Vert",
                    UI_MENU_4_NESTED_3_DIALOG_TITLE: "",
                    UI_MENU_4_NESTED_3_DIALOG_TEXT: "",

                    UI_MENU_5_TITLE: "Imprimer",
                    UI_MENU_5_DIALOG_TITLE: "Imprimer",
                    UI_MENU_5_DIALOG_TEXT: "Imprimer",

                    UI_MENU_6_TITLE: "Conditions D'utilisation",
                    UI_MENU_6_DIALOG_TITLE: "Conditions D'utilisation",
                    UI_MENU_6_DIALOG_TEXT: "Conditions D'utilisation",

                    UI_MENU_7_TITLE: "Menu 7 Item",
                    UI_MENU_7_DIALOG_TITLE: "Welcome to Dialog 7 Popup",
                    UI_MENU_7_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",
                },
                it: {
                    UI_HEADER_TITLE: "Bayer Webchat (it)",
                    UI_INPUT_PLACEHOLDER: "Scrivi un replay",

                    UI_NOTIFICATIONS_READ_MORE_BUTTON: "Leggi di più",
                    UI_NOTIFICATIONS_OK_BUTTON: "Va bene",

                    UI_MENU_1_TITLE: "Di",
                    UI_MENU_1_DIALOG_TITLE: "A proposito di questo chatbot",
                    UI_MENU_1_DIALOG_TEXT: "benvenuta",

                    UI_MENU_2_TITLE: "Privacy dei dati",
                    UI_MENU_2_DIALOG_TITLE: "Dichiarazione sulla protezione dei dati",
                    UI_MENU_2_DIALOG_TEXT: "Utilizzo dei chatbot di domande e risposte: è possibile scambiare messaggi con il chatbot di domande e risposte (di seguito 'chatbot') sul nostro sito web. È necessario essere consapevoli del fatto che tutte le informazioni personali fornite verranno elaborate da noi e dai nostri fornitori di servizi. Per una conversazione, viene creato un cosiddetto 'ID sessione', che non consente alcuna identificazione personale. Quando il chatbot viene chiuso, l 'ID sessione' verrà terminato. Se stai iniziando una nuova conversazione con il chatbot, verrà creato un nuovo 'ID sessione'. Elaboriamo il 'Session-ID' e le informazioni fornite per rispondere alla tua domanda (art. 6 (1) (b) Regolamento generale sulla protezione dei dati). Sulla base del nostro legittimo interesse, memorizziamo l 'ID sessione' e le informazioni fornite per un periodo di 6 mesi al fine di migliorare ulteriormente il nostro chatbot in base alle esigenze degli utenti (Art. 6 (1) (f) Dati generali Regolamento sulla protezione).",

                    UI_MENU_3_TITLE: "No Menu Item",
                    UI_MENU_3_DIALOG_TITLE: "",
                    UI_MENU_3_DIALOG_TEXT: "",

                    UI_MENU_4_TITLE: "No Menu Item",
                    UI_MENU_4_DIALOG_TITLE: "",
                    UI_MENU_4_DIALOG_TEXT: "",

                    UI_MENU_5_TITLE: "No Menu Item",
                    UI_MENU_5_DIALOG_TITLE: "",
                    UI_MENU_5_DIALOG_TEXT: "",

                    UI_MENU_6_TITLE: "Menu 6 Item",
                    UI_MENU_6_DIALOG_TITLE: "Welcome to Dialog 6 Popup",
                    UI_MENU_6_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_7_TITLE: "Menu 7 Item",
                    UI_MENU_7_DIALOG_TITLE: "Welcome to Dialog 7 Popup",
                    UI_MENU_7_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",
                },
                ja: {
                    UI_HEADER_TITLE: "バイエルウェブチャット (ja)",
                    UI_INPUT_PLACEHOLDER: "返事を書く",

                    UI_NOTIFICATIONS_READ_MORE_BUTTON: "続きを読む",
                    UI_NOTIFICATIONS_OK_BUTTON: "はい",

                    UI_MENU_1_TITLE: "約",
                    UI_MENU_1_DIALOG_TITLE: "このチャットボットについて",
                    UI_MENU_1_DIALOG_TEXT: "ようこそ",

                    UI_MENU_2_TITLE: "データのプライバシー",
                    UI_MENU_2_DIALOG_TITLE: "データプライバシーステートメント",
                    UI_MENU_2_DIALOG_TEXT: "Q＆Aチャットボットの使用：当社のWebサイトでQ＆Aチャットボット（以下「チャットボット」）とメッセージを交換できます。 ご提供いただいた個人情報は、当社および当社のサービスプロバイダーによって処理されることに注意する必要があります。 会話の場合、いわゆる「セッションID」が作成されますが、これは個人の識別を許可しません。 チャットボットが閉じられると、「セッションID」は終了します。 チャットボットとの新しい会話を開始する場合は、新しい「セッションID」が作成されます。 私たちはあなたの質問に答えるためにあなたが提供する「セッションID」と情報を処理します（第6条（1）（b）一般データ保護規則）。 当社の正当な利益に基づいて、ユーザーのニーズに応じてチャットボットをさらに改善するために、「セッションID」とお客様から提供された情報を6か月間保存します（第6条（1）（f）一般データ 保護規則.",

                    UI_MENU_3_TITLE: "No Menu Item",
                    UI_MENU_3_DIALOG_TITLE: "",
                    UI_MENU_3_DIALOG_TEXT: "",

                    UI_MENU_4_TITLE: "No Menu Item",
                    UI_MENU_4_DIALOG_TITLE: "",
                    UI_MENU_4_DIALOG_TEXT: "",

                    UI_MENU_5_TITLE: "No Menu Item",
                    UI_MENU_5_DIALOG_TITLE: "",
                    UI_MENU_5_DIALOG_TEXT: "",

                    UI_MENU_6_TITLE: "Menu 6 Item",
                    UI_MENU_6_DIALOG_TITLE: "Welcome to Dialog 6 Popup",
                    UI_MENU_6_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_7_TITLE: "Menu 7 Item",
                    UI_MENU_7_DIALOG_TITLE: "Welcome to Dialog 7 Popup",
                    UI_MENU_7_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",
                },
                pt: {
                    UI_HEADER_TITLE: "Bayer Webchat (pt)",
                    UI_INPUT_PLACEHOLDER: "Escreva uma resposta",

                    UI_NOTIFICATIONS_READ_MORE_BUTTON: "consulte Mais informação",
                    UI_NOTIFICATIONS_OK_BUTTON: "OK",

                    UI_MENU_1_TITLE: "Cerca de",
                    UI_MENU_1_DIALOG_TITLE: "Sobre este chatbot",
                    UI_MENU_1_DIALOG_TEXT: "Receber! ",

                    UI_MENU_2_TITLE: "Dados privados",
                    UI_MENU_2_DIALOG_TITLE: "declaracao de privacidade de dados",
                    UI_MENU_2_DIALOG_TEXT: "Uso de chatbot de Q&A: Você pode trocar mensagens com o chatbot de Q&A (doravante denominado “chatbot”) em nosso site. Você deve estar ciente de que todas as informações pessoais fornecidas serão processadas por nós e por nossos provedores de serviço. Para uma conversa, é criada uma chamada 'ID de sessão', que não permite qualquer identificação pessoal. Quando o chatbot for fechado, a 'ID da sessão' será encerrada. Se você estiver iniciando uma nova conversa com o chatbot, um novo 'ID de sessão' será criado. Processamos o “Session-ID” e as informações que você fornece para responder à sua pergunta (Art. 6 (1) (b) Regulamento Geral de Proteção de Dados). Com base no nosso interesse legítimo, armazenamos o 'ID da Sessão' e as informações que você forneceu por um período de 6 meses, a fim de melhorar ainda mais o nosso chatbot de acordo com as necessidades dos usuários (Art. 6 (1) (f) Dados Gerais Regulamento de Proteção).",

                    UI_MENU_3_TITLE: "No Menu Item",
                    UI_MENU_3_DIALOG_TITLE: "",
                    UI_MENU_3_DIALOG_TEXT: "",

                    UI_MENU_4_TITLE: "No Menu Item",
                    UI_MENU_4_DIALOG_TITLE: "",
                    UI_MENU_4_DIALOG_TEXT: "",

                    UI_MENU_5_TITLE: "No Menu Item",
                    UI_MENU_5_DIALOG_TITLE: "",
                    UI_MENU_5_DIALOG_TEXT: "",

                    UI_MENU_6_TITLE: "Menu 6 Item",
                    UI_MENU_6_DIALOG_TITLE: "Welcome to Dialog 6 Popup",
                    UI_MENU_6_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_7_TITLE: "Menu 7 Item",
                    UI_MENU_7_DIALOG_TITLE: "Welcome to Dialog 7 Popup",
                    UI_MENU_7_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",
                },
                nl: {
                    UI_HEADER_TITLE: "Bayer Webchat (pt)",
                    UI_INPUT_PLACEHOLDER: "Escreva uma resposta",

                    UI_NOTIFICATIONS_READ_MORE_BUTTON: "consulte Mais informação",
                    UI_NOTIFICATIONS_OK_BUTTON: "OK",

                    UI_MENU_1_TITLE: "Cerca de",
                    UI_MENU_1_DIALOG_TITLE: "Sobre este chatbot",
                    UI_MENU_1_DIALOG_TEXT: "Receber! ",

                    UI_MENU_2_TITLE: "Dados privados",
                    UI_MENU_2_DIALOG_TITLE: "declaracao de privacidade de dados",
                    UI_MENU_2_DIALOG_TEXT: "Uso de chatbot de Q&A: Você pode trocar mensagens com o chatbot de Q&A (doravante denominado “chatbot”) em nosso site. Você deve estar ciente de que todas as informações pessoais fornecidas serão processadas por nós e por nossos provedores de serviço. Para uma conversa, é criada uma chamada 'ID de sessão', que não permite qualquer identificação pessoal. Quando o chatbot for fechado, a 'ID da sessão' será encerrada. Se você estiver iniciando uma nova conversa com o chatbot, um novo 'ID de sessão' será criado. Processamos o “Session-ID” e as informações que você fornece para responder à sua pergunta (Art. 6 (1) (b) Regulamento Geral de Proteção de Dados). Com base no nosso interesse legítimo, armazenamos o 'ID da Sessão' e as informações que você forneceu por um período de 6 meses, a fim de melhorar ainda mais o nosso chatbot de acordo com as necessidades dos usuários (Art. 6 (1) (f) Dados Gerais Regulamento de Proteção).",

                    UI_MENU_3_TITLE: "No Menu Item",
                    UI_MENU_3_DIALOG_TITLE: "",
                    UI_MENU_3_DIALOG_TEXT: "",

                    UI_MENU_4_TITLE: "No Menu Item",
                    UI_MENU_4_DIALOG_TITLE: "",
                    UI_MENU_4_DIALOG_TEXT: "",

                    UI_MENU_5_TITLE: "No Menu Item",
                    UI_MENU_5_DIALOG_TITLE: "",
                    UI_MENU_5_DIALOG_TEXT: "",

                    UI_MENU_6_TITLE: "Menu 6 Item",
                    UI_MENU_6_DIALOG_TITLE: "Welcome to Dialog 6 Popup",
                    UI_MENU_6_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_7_TITLE: "Menu 7 Item",
                    UI_MENU_7_DIALOG_TITLE: "Welcome to Dialog 7 Popup",
                    UI_MENU_7_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",
                },
                ru: {
                    UI_HEADER_TITLE: "Веб-чат Bayer",
                    UI_INPUT_PLACEHOLDER: "Напишите ответ",

                    UI_NOTIFICATIONS_READ_MORE_BUTTON: "Читать далее",
                    UI_NOTIFICATIONS_OK_BUTTON: "Хорошо",

                    UI_MENU_1_TITLE: "Oб этом чат-боте",
                    UI_MENU_1_DIALOG_TITLE: "Об этом чат-боте",
                    UI_MENU_1_DIALOG_TEXT: "Добро пожаловать",

                    UI_MENU_2_TITLE: "Конфиденциальность данных",
                    UI_MENU_2_DIALOG_TITLE: "Заявление о конфиденциальности данных",
                    UI_MENU_2_DIALOG_TEXT: "Использование чат-ботов вопросов и ответов: вы можете обмениваться сообщениями с чат-ботом вопросов и ответов (далее «чат-бот») на нашем веб-сайте. Вы должны знать, что любая предоставленная вами личная информация будет обрабатываться нами и нашими поставщиками услуг. Для разговора создается так называемый «идентификатор сеанса», который не позволяет идентифицировать личность. Когда чат-бот будет закрыт, «Идентификатор сеанса» будет прекращен. Если вы начинаете новый разговор с чат-ботом, будет создан новый «идентификатор сеанса». Мы обрабатываем «Идентификатор сеанса» и информацию, которую вы предоставляете для ответа на свой вопрос (статья 6 (1) (b) Общие правила защиты данных). Исходя из нашего законного интереса, мы храним «Идентификатор сеанса» и предоставленную вами информацию в течение 6 месяцев с целью дальнейшего улучшения нашего чат-бота в соответствии с потребностями пользователей (ст. 6 (1) (f) Общие данные Положение о защите).",

                    UI_MENU_3_TITLE: "No Menu Item",
                    UI_MENU_3_DIALOG_TITLE: "",
                    UI_MENU_3_DIALOG_TEXT: "",

                    UI_MENU_4_TITLE: "No Menu Item",
                    UI_MENU_4_DIALOG_TITLE: "",
                    UI_MENU_4_DIALOG_TEXT: "",

                    UI_MENU_5_TITLE: "No Menu Item",
                    UI_MENU_5_DIALOG_TITLE: "",
                    UI_MENU_5_DIALOG_TEXT: "",

                    UI_MENU_6_TITLE: "Menu 6 Item",
                    UI_MENU_6_DIALOG_TITLE: "Welcome to Dialog 6 Popup",
                    UI_MENU_6_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",

                    UI_MENU_7_TITLE: "Menu 7 Item",
                    UI_MENU_7_DIALOG_TITLE: "Welcome to Dialog 7 Popup",
                    UI_MENU_7_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",
                },
                zh: {
                    UI_HEADER_TITLE: "POC 大师机器人",
                    UI_INPUT_PLACEHOLDER: "寫回信",

                    UI_NOTIFICATIONS_READ_MORE_BUTTON: "閱讀更多",
                    UI_NOTIFICATIONS_OK_BUTTON: "好的",

                    UI_MENU_1_TITLE: "資料私隱",
                    UI_MENU_1_DIALOG_TITLE: "資料私隱",
                    UI_MENU_1_DIALOG_TEXT: "資料私隱",

                    UI_MENU_2_TITLE: "隱私",
                    UI_MENU_2_DIALOG_TITLE: "數據隱私聲明",
                    UI_MENU_2_DIALOG_TEXT: "问答聊天机器人的使用：您可以在我们的网站上与问答聊天机器人（以下简称“聊天机器人”）交换消息。您必须知道，您提供的任何个人信息将由我们和我们的服务提供商处理。对于会话，创建了一个所谓的“会话ID”，该会话ID不允许任何个人识别。当聊天机器人关闭时，“会话ID”将终止。如果您正在与聊天机器人开始新的对话，则将创建一个新的“会话ID”。我们将处理“会话ID”和您提供的信息以回答您的问题（《通用数据保护条例》第6（1）（b）条）。根据我们的合法权益，我们会存储“会话ID”和您提供的信息，为期6个月，以便根据用户的需求进一步改进我们的聊天机器人（第6（1）（f）条）保护条例 ",

                    UI_MENU_3_TITLE: "调整大小",
                    UI_MENU_3_DIALOG_TITLE: "",
                    UI_MENU_3_DIALOG_TEXT: "",

                    UI_MENU_3_NESTED_1_TITLE: "小",
                    UI_MENU_3_NESTED_1_DIALOG_TITLE: "",
                    UI_MENU_3_NESTED_1_DIALOG_TEXT: "",

                    UI_MENU_3_NESTED_2_TITLE: "中",
                    UI_MENU_3_NESTED_2_DIALOG_TITLE: "",
                    UI_MENU_3_NESTED_2_DIALOG_TEXT: "",

                    UI_MENU_3_NESTED_3_TITLE: "大",
                    UI_MENU_3_NESTED_3_DIALOG_TITLE: "",
                    UI_MENU_3_NESTED_3_DIALOG_TEXT: "",

                    UI_MENU_3_NESTED_4_TITLE: "分离",
                    UI_MENU_3_NESTED_4_DIALOG_TITLE: "",
                    UI_MENU_3_NESTED_4_DIALOG_TEXT: "",

                    UI_MENU_4_TITLE: "颜色模式",
                    UI_MENU_4_DIALOG_TITLE: "",
                    UI_MENU_4_DIALOG_TEXT: "",

                    UI_MENU_4_NESTED_1_TITLE: "红色",
                    UI_MENU_4_NESTED_1_DIALOG_TITLE: "",
                    UI_MENU_4_NESTED_1_DIALOG_TEXT: "",

                    UI_MENU_4_NESTED_2_TITLE: "蓝色",
                    UI_MENU_4_NESTED_2_DIALOG_TITLE: "",
                    UI_MENU_4_NESTED_2_DIALOG_TEXT: "",

                    UI_MENU_4_NESTED_3_TITLE: "绿色",
                    UI_MENU_4_NESTED_3_DIALOG_TITLE: "",
                    UI_MENU_4_NESTED_3_DIALOG_TEXT: "",

                    UI_MENU_5_TITLE: "印记",
                    UI_MENU_5_DIALOG_TITLE: "印记",
                    UI_MENU_5_DIALOG_TEXT: "印记",

                    UI_MENU_6_TITLE: "使用条件",
                    UI_MENU_6_DIALOG_TITLE: "使用条件",
                    UI_MENU_6_DIALOG_TEXT: "使用条件",

                    UI_MENU_7_TITLE: "Menu 7 Item",
                    UI_MENU_7_DIALOG_TITLE: "Welcome to Dialog 7 Popup",
                    UI_MENU_7_DIALOG_TEXT: "Try this <a href='https://bayernet.int.bayer.com/en/' target='_blank'>link</a>",
                }
            }
        }

        // Code commented to remove storage of session ID 
        // initWebchat(configUrl, { settings: settings, userId, sessionId }).then(webchat => {
        initWebchat(configUrl, { settings: settings }).then(webchat => {
            window.cognigyWebchat = webchat
            webchat.open()
        })

    </script>
</body>

</html>